summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2011-01-09 18:43:20 +0100
committer Robby Workman2011-01-10 22:04:45 +0100
commita6112d0b9bb2d36ff0ccec728705d2b5153f34ea (patch)
tree2e713097f725b576f883f25c39a10642bedbc563
parentc61a755dd2fadcf1e615d1dac6d608bebd425fb0 (diff)
downloadslackbuilds-a6112d0b9bb2d36ff0ccec728705d2b5153f34ea.tar.gz
network/rubygem-sup: Added (CLI mail client)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--network/rubygem-sup/README25
-rw-r--r--network/rubygem-sup/rubygem-sup.SlackBuild117
-rw-r--r--network/rubygem-sup/rubygem-sup.info10
-rw-r--r--network/rubygem-sup/slack-desc19
4 files changed, 171 insertions, 0 deletions
diff --git a/network/rubygem-sup/README b/network/rubygem-sup/README
new file mode 100644
index 0000000000..d5378b82b6
--- /dev/null
+++ b/network/rubygem-sup/README
@@ -0,0 +1,25 @@
+Sup is a console-based email client for people with a lot of email. It
+supports tagging, very fast full-text search, automatic contact-list
+management, and more.
+
+Sup makes it easy to:
+- Handle massive amounts of email.
+- Mix email from different sources: mbox files (even across different
+ machines), Maildir directories, IMAP folders, POP accounts, and GMail
+ accounts.
+- Instantaneously search over your entire email collection. Search over
+ body text, or use a query language to combine search predicates in any
+ way.
+- Handle multiple accounts. Replying to email sent to a particular
+ account will use the correct SMTP server, signature, and from address.
+- Add custom code to handle certain types of messages or to handle
+ certain types of text within messages.
+- Organize email with user-defined labels, automatically track recent
+ contacts, and much more
+
+This Slackbuild packages a development version of Sup which is patched
+to use ncursesw, allowing for Unicode support.
+
+This requires rubygem-locale, rubygem-gettext, rubygem-highline,
+rubygem-lockfile, rubygem-mime-types, rubygem-ncursesw, rubygem-net-ssh,
+rubygem-rmail, rubygem-trollop and rubygem-xapian-full.
diff --git a/network/rubygem-sup/rubygem-sup.SlackBuild b/network/rubygem-sup/rubygem-sup.SlackBuild
new file mode 100644
index 0000000000..d1d058b673
--- /dev/null
+++ b/network/rubygem-sup/rubygem-sup.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Script written by Benjamin Trigona-Harany (bosth@alumni.sfu.ca)
+# based on rubygem template by vbatts
+
+PRGNAM=rubygem-sup
+VERSION=0.12_git60108ad # sbo package name
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=sup
+SUPVERSION=0.12 # ruby gems only allow numeric version numbers
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+mv $SRCNAM-mainline $SRCNAM-$VERSION
+
+cd $SRCNAM-$VERSION
+
+# remove ncurses dependency since ncursesw is used in sup whenever available
+sed s/ncurses/ncursesw/ Rakefile > Rakefile.new
+mv Rakefile.new Rakefile
+
+# update the version number
+sed s/999/$SUPVERSION/ sup-version.rb > sup-version.rb.new
+mv sup-version.rb.new sup-version.rb
+
+rake --trace gem
+
+DESTDIR=$( ruby -r rbconfig -e '
+include RbConfig
+printf("%s/%s/gems/%s\n",
+ CONFIG["libdir"],
+ CONFIG["RUBY_INSTALL_NAME"],
+ CONFIG["ruby_version"]
+ )
+')
+
+# print a friendly warning of unsatisfied dependencies
+gem specification $TMP/$SRCNAM-$VERSION/pkg/$SRCNAM-$SUPVERSION.gem | \
+ ruby -r rbconfig -r yaml -e '
+c = Config::CONFIG
+path = sprintf("%s/%s/gems/%s",
+ c["libdir"],
+ c["RUBY_INSTALL_NAME"],
+ c["ruby_version"])
+sys_gemspecs = Dir.glob(path + "/specifications/*").map {|g| gs = Gem::Specification.load(g); gs.name }
+obj = Gem::Specification.from_yaml($stdin)
+obj.dependencies.each {|dep|
+ if not(dep.type == :runtime)
+ next
+ end
+ if not(sys_gemspecs.include?(dep.name))
+ $stderr.write("WARNING: #{dep.name} gem not found\n")
+ sleep 0.5
+ end
+}'
+
+
+gem install \
+ --local \
+ --no-update-sources \
+ --ignore-dependencies \
+ --backtrace \
+ --bindir $PKG/usr/bin \
+ --install-dir $PKG/$DESTDIR \
+ $TMP/$SRCNAM-$VERSION/pkg/$SRCNAM-$SUPVERSION.gem
+
+# Strip binaries and libraries.
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Remove cached gem from install
+rm -rf $PKG/$DESTDIR/cache
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+tar -x -O --file=$TMP/$SRCNAM-$VERSION/pkg/$SRCNAM-$SUPVERSION.gem data.tar.gz | tar -xz -C $PKG/usr/doc/$PRGNAM-$VERSION --file=- \
+ README.txt LICENSE History.txt ReleaseNotes
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/rubygem-sup/rubygem-sup.info b/network/rubygem-sup/rubygem-sup.info
new file mode 100644
index 0000000000..8ae3c60af6
--- /dev/null
+++ b/network/rubygem-sup/rubygem-sup.info
@@ -0,0 +1,10 @@
+PRGNAM="rubygem-sup"
+VERSION="0.12_git60108ad"
+HOMEPAGE="http://sup.rubyforge.org/"
+DOWNLOAD="http://web.itu.edu.tr/~turkyilma1/sup-0.12_git60108ad.tar.gz"
+MD5SUM="75098597d9e80161ee54ae82301f82c3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="bosth@alumni.sfu.ca"
+APPROVED="dsomero"
diff --git a/network/rubygem-sup/slack-desc b/network/rubygem-sup/slack-desc
new file mode 100644
index 0000000000..85f8b2a480
--- /dev/null
+++ b/network/rubygem-sup/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rubygem-sup: rubygem-sup (CLI mail client)
+rubygem-sup:
+rubygem-sup: Sup is a mail client for the console which supports tagging, full
+rubygem-sup: text search and multiple mail accounts in a variety of formats.
+rubygem-sup:
+rubygem-sup:
+rubygem-sup:
+rubygem-sup:
+rubygem-sup:
+rubygem-sup:
+rubygem-sup: